<MyRusakov.ru />

Вёрстка сайта с нуля 2.0

Вёрстка сайта с нуля 2.0

Система "Вёрстка сайта с нуля 2.0" содержит в себе не только сами видеоуроки по адаптивной вёрстке сайтов с примерами, но и вспомогательную систему для более эффективного обучения.

Сам курс обучит Вас абсолютно с нуля HTML5 и CSS3, а также научит верстать сайты с помощью реальных примеров вёрстки. Обучение идёт от простого к сложному. В последнем разделе курса идёт обучение адаптивной вёрстке сайтов: Вы узнаете всю необходимую теорию, а также увидите пример реальной адаптивной вёрстки сайта.

Как итог, курс совмещает в себе всё, что нужно по HTML, CSS и адаптивной вёрстке сайтов, с наглядными примерами, с обучением от простого к сложному и без необходимости иметь начальных знаний, а благодаря вспомогательной системе психологически курс проходится очень легко, а на выходе Вы сможете сделать адаптивную вёрстку любого сайта любой сложности.

Подробнее
Подписка

Подписавшись по E-mail, Вы будете получать уведомления о новых статьях.

Подписка Подписаться

Добавляйтесь ко мне в друзья ВКонтакте! Отзывы о сайте и обо мне оставляйте в моей группе.

Мой аккаунт Мой аккаунт Моя группа
Опрос

Каким движком Вы предпочитаете пользоваться?

Как обновить PHP на Denwer.

Как обновить PHP на Denwer.

Если вы пользуетесь Denwer, то знаете, что обновления пакета происходят не так уж и часто. Если сам сервер нас может волновать несильно, то вот версия php может стать критичной проблемой. Вот о том, как обновить PHP на Denwer, мы сегодня и поговорим.

На самом деле, ничего трудно тут нет. Для начала вам нужно скачать thread safe версию php на сайте http://windows.php.net/download/. Советую качать 32-х разрядную версию, т.к. с 64-х битной у вас могут быть проблемы, да и эта сборка на данный момент является экспериментальной.

Теперь остановите сервер, используя скрипт stop.exe и switchOff.exe, дальше перейдите по пути usr/local/php5 и удалите там все бинарные файлы, заменяя их только что скачанными. Перезапустите Denwer.

Теперь в папке php5 у вас нет файла php.ini, однако вместо него есть php.ini-development и php.ini-production. Вы можете переименовать любой из них в php.ini и настроить сервер, как вам нужно. Не забудьте также посмотреть, чтобы была расскоментирована директива extension_dir="ext", чтобы избежать проблем с подключаемыми модулями в будущем.

Вот так просто можно обновить версию php на denwer. Спасибо за внимание!

Копирование материалов разрешается только с указанием автора (Михаил Русаков) и индексируемой прямой ссылкой на сайт (http://myrusakov.ru)!

Добавляйтесь ко мне в друзья ВКонтакте: http://vk.com/myrusakov.
Если Вы хотите дать оценку мне и моей работе, то напишите её в моей группе: http://vk.com/rusakovmy.

Если Вы не хотите пропустить новые материалы на сайте,
то Вы можете подписаться на обновления: Подписаться на обновления

Если у Вас остались какие-либо вопросы, либо у Вас есть желание высказаться по поводу этой статьи, то Вы можете оставить свой комментарий внизу страницы.

Порекомендуйте эту статью друзьям:

Если Вам понравился сайт, то разместите ссылку на него (у себя на сайте, на форуме, в контакте):

  1. Кнопка:

    Она выглядит вот так: Как создать свой сайт

  2. Текстовая ссылка:

    Она выглядит вот так: Как создать свой сайт

  3. BB-код ссылки для форумов (например, можете поставить её в подписи):

Комментарии (9):

(Алекс) (Алекс) 20.09.2015 16:00:28

Мне интересно, а Denwer 4 сколько лет планируют выпустить? А то там "в планах" такое сделать !! А результата нету

Ответить

bodiks bodiks 15.02.2016 11:04:18

Обновлял но ничего не получилось.все ка написано в статье но при при открытия php файла показывает просто белую страничку браузера. В чем может быть проблема?

Ответить

kasimovdolomit kasimovdolomit 25.02.2016 18:01:12

Посмотрите мой комментарий ниже.

Ответить

kasimovdolomit kasimovdolomit 24.02.2016 23:36:17

Здравствуйте, Михаил. Все делаю, как Вы описали, но ничего не получается. Может что-то еще нужно сделать, о чем Вы не писали?

Ответить

kasimovdolomit kasimovdolomit 25.02.2016 17:59:59

Михаил, в общем я разобрался с данной проблемой. Проблема была в том, что в всех сборках был файл php5apache2_4.dll, а на Денвере должен быть php5apache2_2.dll. Рабочий файл можно взять из сбоки на официальном сайте apachelounge.com/viewtopic.php?p=26798 (Сборка php-5.5.9-Win32-VC11-x86.zip). Единственное, я не удалял своего файла php.ini, а удалил в нем директивы: register_long_arrays=Off, magic_quotes_gpc=Off и ; allow_call_time_pass_reference. А extension_dir у меня такая extension_dir = "/usr/local/php5/ext"

Ответить

viktor514 viktor514 29.11.2016 19:58:04

Сделал как вы написали. PHP не работает. html файлы на локалхосте ещё как-то загружаются. А php - нет. Видимо придётся устанавливать какой-то другой веб сервер. PHP в денвере устарел. Слишком уж много на нём не работает. ))

Ответить

kozukhar kozukhar 06.03.2017 02:03:42

Ну неужели нельзя по человечески обнову сделать php ? Делаешь все по инструкции а в итоге все нах слетает и оказывается что еще что-то надо менять добавлять... НЕ ОБНОВИТЕСЬ ЭТИМ СПОСОБОМ! ИТОГ ПЕРЕУСТАНОВКА ДЕНВЕРА!

Ответить

pavel8897 pavel8897 14.03.2017 19:28:03

Ну теперь вообще ни хрена не работает

Ответить

SergSM SergSM 21.05.2017 16:33:00

В сборках PHP скачанных с php.net нет файла php5apache2_2.dll для старого апача v2.2 в денвере. В результате апач просто не запускается. Качайте PHP http://phpdev.toolsforresearch.com/php-5.5.9-Win32-VC11-x86.zip распаковывайте и будет вам счастье. https://www.apachelounge.com/viewtopic.php?p=26798 Более новые версии PHP: https://www.apachelounge.com/viewtopic.php?t=6359 требуют более нового OpenSSl: http://slproweb.com/products/Win32OpenSSL.html

Ответить

Для добавления комментариев надо войти в систему.
Если Вы ещё не зарегистрированы на сайте, то сначала зарегистрируйтесь.